scala.actors.scheduler

# ResizableThreadPoolScheduler

###
Related Doc: package scheduler

#### class ResizableThreadPoolScheduler extends Thread with IScheduler with TerminationMonitor

This scheduler class uses a `ThreadPoolExecutor` to execute `Actor`s.

The scheduler attempts to shut down itself and the underlying `ThreadPoolExecutor` only if `terminate` is set to true. Otherwise, the scheduler must be shut down explicitly.

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use the akka.actor package instead. For migration from the scala.actors package refer to the Actors Migration Guide.

Source
  ResizableThreadPoolScheduler.scala

Linear Supertypes
TerminationMonitor, IScheduler, Thread, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResizableThreadPoolScheduler
2. TerminationMonitor
3. IScheduler
4. Thread
5. Runnable
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResizableThreadPoolScheduler()

2. #### new ResizableThreadPoolScheduler(d: Boolean)

3. #### new ResizableThreadPoolScheduler(terminate: Boolean, daemon: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to any2stringadd[ResizableThreadPoolScheduler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ResizableThreadPoolScheduler, B)

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val CHECK_FREQ: Int

   Attributes
     protected

7. #### var activeActors: Int

   Attributes
     protected
   Definition Classes
     TerminationMonitor

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

9. #### final def checkAccess(): Unit

   Definition Classes
     Thread

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      Thread → AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

11. #### val daemon: Boolean

    Attributes
      protected

12. #### def ensuring(cond: (ResizableThreadPoolScheduler) ⇒ Boolean, msg: ⇒ Any): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (ResizableThreadPoolScheduler) ⇒ Boolean): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

18. #### def execute(fun: ⇒ Unit): Unit

    Submits a closure for execution.

    Submits a closure for execution.

    fun

      the closure to be executed

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

19. #### def execute(task: Runnable): Unit

    Submits a `Runnable` for execution.

    Submits a `Runnable` for execution.

    task

      the task to be executed

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

20. #### def executeFromActor(task: Runnable): Unit

    Definition Classes
      IScheduler

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to StringFormat[ResizableThreadPoolScheduler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### def gc(): Unit

    Checks for actors that have become garbage.

    Checks for actors that have become garbage.

    Attributes
      protected
    Definition Classes
      TerminationMonitor

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

24. #### def getContextClassLoader(): ClassLoader

    Definition Classes
      Thread
    Annotations
      @CallerSensitive()

25. #### def getId(): Long

    Definition Classes
      Thread

26. #### final def getName(): String

    Definition Classes
      Thread

27. #### final def getPriority(): Int

    Definition Classes
      Thread

28. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Thread

29. #### def getState(): State

    Definition Classes
      Thread

30. #### final def getThreadGroup(): ThreadGroup

    Definition Classes
      Thread

31. #### def getUncaughtExceptionHandler(): UncaughtExceptionHandler

    Definition Classes
      Thread

32. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()

33. #### def interrupt(): Unit

    Definition Classes
      Thread

34. #### def isActive: Boolean

    When the scheduler is active, it can execute tasks.

    When the scheduler is active, it can execute tasks.

    returns

      `true`, if the scheduler is active, otherwise false.

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

35. #### final def isAlive(): Boolean

    Definition Classes
      Thread

36. #### final def isDaemon(): Boolean

    Definition Classes
      Thread

37. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

38. #### def isInterrupted(): Boolean

    Definition Classes
      Thread

39. #### final def join(): Unit

    Definition Classes
      Thread
    Annotations
      @throws( ... )

40. #### final def join(arg0: Long, arg1: Int): Unit

    Definition Classes
      Thread
    Annotations
      @throws( ... )

41. #### final def join(arg0: Long): Unit

    Definition Classes
      Thread
    Annotations
      @throws( ... )

42. #### def managedBlock(blocker: ManagedBlocker): Unit

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

43. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

44. #### def newActor(a: TrackedReactor): Unit

    newActor is invoked whenever a new actor is started.

    newActor is invoked whenever a new actor is started.

    Definition Classes
      TerminationMonitor

45. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

46. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

47. #### def onTerminate(a: TrackedReactor)(f: ⇒ Unit): Unit

    Registers a closure to be executed when the specified actor terminates.

    Registers a closure to be executed when the specified actor terminates.

    a

      the actor

    f

      the closure to be registered

    Definition Classes
      TerminationMonitor

48. #### def restart(): Unit

    Resumes the execution of the scheduler if it was previously suspended using `snapshot`.

49. #### def run(): Unit

    Definition Classes
      ResizableThreadPoolScheduler → Thread → Runnable

50. #### def setContextClassLoader(arg0: ClassLoader): Unit

    Definition Classes
      Thread

51. #### final def setDaemon(arg0: Boolean): Unit

    Definition Classes
      Thread

52. #### final def setName(arg0: String): Unit

    Definition Classes
      Thread

53. #### final def setPriority(arg0: Int): Unit

    Definition Classes
      Thread

54. #### def setUncaughtExceptionHandler(arg0: UncaughtExceptionHandler): Unit

    Definition Classes
      Thread

55. #### def shutdown(): Unit

    Shuts down the scheduler.

    Shuts down the scheduler.

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

56. #### def snapshot(): Unit

    Suspends the scheduler.

    Suspends the scheduler. All threads that were in use by the scheduler and its internal thread pool are terminated.

57. #### def start(): Unit

    Definition Classes
      Thread

58. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

59. #### val terminate: Boolean

    Attributes
      protected

60. #### def terminated(a: TrackedReactor): Unit

    Registers that the specified actor has terminated.

    Registers that the specified actor has terminated.

    a

      the actor that has terminated

    Definition Classes
      TerminationMonitor

61. #### val terminationHandlers: HashMap[TrackedReactor, () ⇒ Unit]

    Attributes
      protected
    Definition Classes
      TerminationMonitor

62. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Thread → AnyRef → Any

63. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

65. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

66. #### def →[B](y: B): (ResizableThreadPoolScheduler, B)

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def countStackFrames(): Int

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

3. #### final def resume(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### final def stop(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### final def suspend(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from TerminationMonitor

### Inherited from IScheduler

### Inherited from Thread

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ResizableThreadPoolScheduler to any2stringadd[ResizableThreadPoolScheduler]

### Inherited by implicit conversion StringFormat from ResizableThreadPoolScheduler to StringFormat[ResizableThreadPoolScheduler]

### Inherited by implicit conversion Ensuring from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler]

### Inherited by implicit conversion ArrowAssoc from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler]

### Ungrouped